%define _prefix /opt/lscsoft/libmetaio
                                                                                
Name: libmetaio
Version: 8.2
Release: 1.lscsoft
Summary: LIGO Light-Weight XML library
License: GPL
Group: LSC Software/Data Analysis
Requires: zlib >= 1.2.0.2
BuildPreReq: zlib-devel
Source: metaio-%{version}.tar.gz
URL: http://www.ldas-sw.ligo.caltech.edu/ligotools/metaio
Packager: Kipp Cannon (kipp@graviy.phys.uwm.edu)
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: metaio
Prefix: /opt/lscsoft/libmetaio
%description
This code implements a simple recursive-descent parsing scheme for LIGO_LW
files, based on the example in Chapter 2 of "Compilers: Principles,
Techniques and Tools" by Aho, Sethi and Ullman.  Written by Philip Charlton
and Peter Shawhan.

This package contains the shared libraries needed for running libmetaio
applications.


%package devel
Summary: Files and documentation needed for compiling libframe programs
Group: LSC Software/Data Analysis
Requires: %{name} = %{version}
%description devel
This code implements a simple recursive-descent parsing scheme for LIGO_LW
files, based on the example in Chapter 2 of "Compilers: Principles,
Techniques and Tools" by Aho, Sethi and Ullman.  Written by Philip Charlton
and Peter Shawhan.

This package contains the files needed for building libmetaio applications.


%package utils
Summary: LIGO Light-Weight XML file manipulation utilities
Group: LSC Software/Data Analysis
Requires: %{name} = %{version}
%description utils
This package provides the utilities, such as lwtprint, which accompany the
libmetaio source code.


#%package matlab
#Summary: LIGO Light-Weight XML MatLab module
#Group: LSC Software/Data Analysis
#Requires: %{name} = %{version}
#%description matlab
#This package provides the MatLab readMeta module from libmetaio.


%prep
%setup -q -n metaio-%{version}


%build
# must add --std=c99 to CFLAGS due to lack of C99 tests in pre-2.60
# autoconfs, which unfortunately bites us on the FC4 and CentOS5 reference
# platforms.  Debian reference platform provides 2.61 autoconf, and so has
# working C99 tests.
CFLAGS=--std=c99 %configure
%{__make}


%install
%makeinstall


%post
ldconfig


%postun
ldconfig


%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -Rf ${RPM_BUILD_ROOT}
rm -Rf ${RPM_BUILD_DIR}/%{name}-%{version}


%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*a
%{_libdir}/*so
%{_libdir}/pkgconfig/*
%{_includedir}/*

#%files matlab
#%defattr(-,root,root)
#%{_datadir}/matlab/*

%files utils
%defattr(-,root,root)
%{_bindir}/*

